it-swarm-eu.dev

Comment savoir quelle version de SSL un serveur Web utilise actuellement?

Je pense avoir désactivé SSL 2.0 sur mon serveur Web (Windows Server 2003). Pour vous assurer qu'il utilise désormais SSL 3.0, comment puis-je vérifier cela?

Quelle est la bonne façon de désactiver 2.0 et d'activer 3.0 sur un serveur Web?

20
wahle509

IIS négociera la version SSL à utiliser avec le client et devra donc sélectionner la version la plus élevée qui fonctionnera avec ce client. En désactivant SSL v2, vous dites que tous les clients qui ne peuvent pas utiliser V3 ne pourront pas établir de connexion SSL, est-ce ce que vous voulez?

En ce qui concerne la vérification de l'utilisation de V3, si vous avez accès à une machine Linux (ou cygwin sous Windows) avec openssl installé, vous pouvez exécuter cette commande:

openssl s_client -connect server.com:443 -ssl3

Si vous pouvez vous connecter, cela fonctionne. Remplacez ssl3 par ssl2 si vous souhaitez vérifier SSL2.

25
Sam Cogan

La façon la plus simple de vérifier que SSL 2.0 est désactivé est d'utiliser http://www.serversniff.net/content.php?do=ssl ou https: //www.ssllabs. com/ssldb/index.html

4
Robert

ici est la documentation officielle de Microsoft sur la façon de désactiver un protocole SSL spécifique.

Le test openssl est certainement le plus simple. Il y a distributions binaires d'openssl disponible pour Windows.

4
MattB
3
opexxx

https://www.ssllabs.com/ssltest/index.htm Dans le résultat, il y a Configuration section dans le sous- section Les protocoles sont listés toutes les versions et leur support.

0
Ivan

Updated info for 2017 tech

Pour visualiser uniquement la version actuelle du protocole (pas la changer)

Accédez à la page HTTPS en question et cliquez sur l'icône de verrouillage verte dans la barre d'adresse de votre navigateur. De là, vous pouvez cliquer pour obtenir des informations plus détaillées, notamment la version du protocole actuellement utilisée.

Modifier par commentaire:
Cela ne vous permettra pas de trouver TOUTES LES versions disponibles. Si vous utilisez le dernier navigateur, vous ne pourrez vous connecter qu'avec la dernière version TLS/SSL disponible. Pour un test rapide pour vous assurer que vous disposez de la dernière version disponible, c'est un choix très simple.

0
KnightHawk